/*******************************************************************************
* File Name: EMI_SPIM_IntClock.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_EMI_SPIM_IntClock_H)
#define CY_CLOCK_EMI_SPIM_IntClock_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void EMI_SPIM_IntClock_StartEx(uint32 alignClkDiv);
#define EMI_SPIM_IntClock_Start() \
    EMI_SPIM_IntClock_StartEx(EMI_SPIM_IntClock__PA_DIV_ID)

#else

void EMI_SPIM_IntClock_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void EMI_SPIM_IntClock_Stop(void);

void EMI_SPIM_IntClock_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 EMI_SPIM_IntClock_GetDividerRegister(void);
uint8  EMI_SPIM_IntClock_GetFractionalDividerRegister(void);

#define EMI_SPIM_IntClock_Enable()                         EMI_SPIM_IntClock_Start()
#define EMI_SPIM_IntClock_Disable()                        EMI_SPIM_IntClock_Stop()
#define EMI_SPIM_IntClock_SetDividerRegister(clkDivider, reset)  \
    EMI_SPIM_IntClock_SetFractionalDividerRegister((clkDivider), 0u)
#define EMI_SPIM_IntClock_SetDivider(clkDivider)           EMI_SPIM_IntClock_SetDividerRegister((clkDivider), 1u)
#define EMI_SPIM_IntClock_SetDividerValue(clkDivider)      EMI_SPIM_IntClock_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define EMI_SPIM_IntClock_DIV_ID     EMI_SPIM_IntClock__DIV_ID

#define EMI_SPIM_IntClock_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define EMI_SPIM_IntClock_CTRL_REG   (*(reg32 *)EMI_SPIM_IntClock__CTRL_REGISTER)
#define EMI_SPIM_IntClock_DIV_REG    (*(reg32 *)EMI_SPIM_IntClock__DIV_REGISTER)

#define EMI_SPIM_IntClock_CMD_DIV_SHIFT          (0u)
#define EMI_SPIM_IntClock_CMD_PA_DIV_SHIFT       (8u)
#define EMI_SPIM_IntClock_CMD_DISABLE_SHIFT      (30u)
#define EMI_SPIM_IntClock_CMD_ENABLE_SHIFT       (31u)

#define EMI_SPIM_IntClock_CMD_DISABLE_MASK       ((uint32)((uint32)1u << EMI_SPIM_IntClock_CMD_DISABLE_SHIFT))
#define EMI_SPIM_IntClock_CMD_ENABLE_MASK        ((uint32)((uint32)1u << EMI_SPIM_IntClock_CMD_ENABLE_SHIFT))

#define EMI_SPIM_IntClock_DIV_FRAC_MASK  (0x000000F8u)
#define EMI_SPIM_IntClock_DIV_FRAC_SHIFT (3u)
#define EMI_SPIM_IntClock_DIV_INT_MASK   (0xFFFFFF00u)
#define EMI_SPIM_IntClock_DIV_INT_SHIFT  (8u)

#else 

#define EMI_SPIM_IntClock_DIV_REG        (*(reg32 *)EMI_SPIM_IntClock__REGISTER)
#define EMI_SPIM_IntClock_ENABLE_REG     EMI_SPIM_IntClock_DIV_REG
#define EMI_SPIM_IntClock_DIV_FRAC_MASK  EMI_SPIM_IntClock__FRAC_MASK
#define EMI_SPIM_IntClock_DIV_FRAC_SHIFT (16u)
#define EMI_SPIM_IntClock_DIV_INT_MASK   EMI_SPIM_IntClock__DIVIDER_MASK
#define EMI_SPIM_IntClock_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_EMI_SPIM_IntClock_H) */

/* [] END OF FILE */
