/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#if !defined(OTA_FLASH_H)
#define OTA_FLASH_H

#include <project.h>
#include <stdbool.h>
#include "debug.h"
#include "wvrSPI.h"
    	
#define OTA_STATUS_BUSY		0x01
	
#define OTA_PAGE_SIZE		256		// Apparently in the CY8C4248 the flash size is 256 instead of 128
#define OTA_SECTOR_SIZE		4096
#define OTA_BLOCK_SIZE		65536
#define OTA_FLASH_SIZE		((64/8)*1024*1024) //64Mbit
	
	
int ota_read_id( void );
void ota_write_buf(uint32 dataAddr, uint8 *data, uint32 dataSize);
void ota_program_page(uint32 pageAddr, uint8 *data, uint32 dataSizeLeft);
void ota_read_page(uint32 pageAddr, uint8 *data, uint32 dataSizeLeft);
void ota_read_buf(uint32 dataAddr, uint8 *data, uint32 dataSize);
void ota_page_erase(uint32 pageAddr);
void ota_block_erase_64(uint32 blockAddr);
void ota_start_block_erase_64(uint32 blockAddr);
void ota_chip_erase( void );
void ota_start_erase( void );
void ota_write_enable( void );
uint8 ota_read_status ( void );

#endif /* winbond_H */
